Class Fox::FXTopWindow

In: | FXTopWindow.rb
Parent: | FXShell

Abstract base class for all top-level windows

### Events

The following messages are sent by FXTopWindow to its target:

`SEL_CLOSE`: | sent when the user clicks the close button in the upper right-hand corner of the top-level window.

### Title and border decorations

`DECOR_NONE`: | Borderless window
`DECOR_TITLE`: | Window title
`DECOR_MINIMIZE`: | Minimize button
`DECOR_MAXIMIZE`: | Maximize button
`DECOR_CLOSE`: | Close button
`DECOR_BORDER`: | Border
`DECOR_RESIZE`: | Resize handles
`DECOR_MENU`: | Window menu
`DECOR_ALL`: | All of the above

### Initial window placement

`PLACEMENT_DEFAULT`: | Place it at the default size and location
`PLACEMENT_VISIBLE`: | Place window to be fully visible
`PLACEMENT_CURSOR`: | Place it under the cursor position
`PLACEMENT_OWNER`: | Place it centered on its owner
`PLACEMENT_SCREEN`: | Place it centered on the screen
`PLACEMENT_MAXIMIZED`: | Place it maximized to the screen size

### Message identifiers

`ID_ICONIFY`: | Iconify the window
`ID_DEICONIFY`: | Deiconify the window
`ID_QUERY_DOCK`: | Toolbar asks to dock

Methods

deiconify iconified? iconify place show

Attributes

decorations | [RW] | Title and border decorations (see above) [Integer]
hSpacing | [RW] | Horizontal spacing between child widgets, in pixels [Integer]
icon | [RW] | Window icon [FXIcon]
miniIcon | [RW] | Window mini (title) icon [FXIcon]
packingHints | [RW] | Packing hints for child widgets [Integer]
padBottom | [RW] | Bottom padding, in pixels [Integer]
padLeft | [RW] | Left padding, in pixels [Integer]
padRight | [RW] | Right padding, in pixels [Integer]
padTop | [RW] | Top padding, in pixels [Integer]
title | [RW] | Window title [String]
vSpacing | [RW] | Vertical spacing between child widgets, in pixels [Integer]

Public Instance methods

show(placement)

Show this window with given placement (one of `PLACEMENT_DEFAULT`, `PLACEMENT_VISIBLE`, `PLACEMENT_CURSOR`, `PLACEMENT_OWNER`, `PLACEMENT_SCREEN` or `PLACEMENT_MAXIMIZED`).

place(placement)

Position the window based on placement (one of `PLACEMENT_DEFAULT`, `PLACEMENT_VISIBLE`, `PLACEMENT_CURSOR`, `PLACEMENT_OWNER`, `PLACEMENT_SCREEN` or `PLACEMENT_MAXIMIZED`).

iconify()

Iconify window

deiconify()

Deiconify window

iconified?()

Return `true` if window has been iconified